<form name="editForm" role="form" novalidate (ngSubmit)="pushData()" #editForm="ngForm">
    <div class="modal-header">
        <h6 class="modal-title">Pilih NOMOR PP </h6>
    </div>
    <div class="modal-body">
        <div class="row">
            <div class="col-sm-12">
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="Cari Nomor PO">
                        <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
                <br>
            </div>
        </div>
        <p-dataTable [value]="purchasings" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        row="itemsPerPage" totalRecords="totalItems" dataKey="idpurchasing" expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)" sortMode="multiple" [(selection)]="selected">
        <p-header>
        </p-header>
        <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Nomor PO">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nopurchasing}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtcreated | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Suplier">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.suplier.nm_supplier}}
            </ng-template>
        </p-column>
        <p-column header="Otorisasi">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.otorisasi}}
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clearPage()"
            label="{{'entity.action.cancel' | translate}}" icon="fa-ban" class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" label="{{'entity.action.select' | translate}}" icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>